Package: org.codehaus.groovy.jsr223

## [Java] Class GroovyCompiledScript

- org.codehaus.groovy.jsr223.GroovyCompiledScript

- Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads.

  Authors:
    Adapted from original by Mike Grogan
    Adapted from original by A. Sundararajan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCompiledScript (GroovyScriptEngineImpl engine, Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `eval(ScriptContext context)`
    `` | `ScriptEngine` | `getEngine()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompiledScript` | `getEngine, eval, eval, eval, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)

  - ### Method Detail

    - #### public Object eval(ScriptContext context)

    - #### public ScriptEngine getEngine()